<?php

// API routes  for course
Route::prefix('{guard}/course')->group(function () {
    Route::get('course/form/{element}', 'CourseAPIController@form');
    Route::resource('course', 'CourseAPIController');
});

// Public routes for course
Route::get('courses/', 'CoursePublicController@index');
Route::get('courses/{slug?}', 'CoursePublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for courses
            Route::prefix('{guard}/course')->group(function () {
                Route::get('course/form/{element}', 'CourseAPIController@form');
                Route::apiResource('course', 'CourseAPIController');
            });
            // Public routes for courses
            Route::get('course/Course', 'CoursePublicController@getCourse');
        }
    );
}

