<?php

namespace College\Course\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CourseTransformer extends TransformerAbstract
{
    public function transform(\College\Course\Models\Course $course)
    {
        return [
            'id'                => $course->getRouteKey(),
            'key'               => [
                'public'    => $course->getPublicKey(),
                'route'     => $course->getRouteKey(),
            ], 
            'slug'              => $course->slug,
            'name'              => $course->name,
            'details'           => $course->details,
            'user_id'           => $course->user_id,
            'user_type'         => $course->user_type,
            'deleted_at'        => $course->deleted_at,
            'url'               => [
                'public'    => trans_url('course/'.$course->getPublicKey()),
                'user'      => guard_url('course/course/'.$course->getRouteKey()),
            ], 
            'status'            => trans('app.'.$course->status),
            'created_at'        => format_date($course->created_at),
            'updated_at'        => format_date($course->updated_at),
        ];
    }
}